## IAnjutaProvider

IAnjutaProvider — Provider for autocompletion features

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_provider_error_quark ()
void | ianjuta_provider_activate ()
const gchar * | ianjuta_provider_get_name ()
IAnjutaIterable * | ianjuta_provider_get_start_iter ()
void | ianjuta_provider_populate ()

## Types and Values

#define | IANJUTA_PROVIDER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaProvider

## Includes

    #include <libanjuta/interfaces/ianjuta-provider.h>

## Description

## Functions

### ianjuta_provider_error_quark ()

    GQuark
    ianjuta_provider_error_quark (void);

### ianjuta_provider_activate ()

    void
    ianjuta_provider_activate (IAnjutaProvider *obj,
                               IAnjutaIterable *iter,
                               gpointer data,
                               GError **err);

Show completion for the context at position `iter`

#### Parameters

obj | Self |
iter | position where the completion occurs |
data | data assigned to the proposal |
err | Error propagation and reporting. |

### ianjuta_provider_get_name ()

    const gchar *
    ianjuta_provider_get_name (IAnjutaProvider *obj,
                               GError **err);

Return a (translatable) name for the provider

#### Parameters

obj | Self |

### ianjuta_provider_get_start_iter ()

    IAnjutaIterable *
    ianjuta_provider_get_start_iter (IAnjutaProvider *obj,
                                     GError **err);

Get the iter where the current completion started

#### Parameters

obj | Self |
err | Error propagation and reporting. |

#### Returns

current start iter.

[transfer none]

### ianjuta_provider_populate ()

    void
    ianjuta_provider_populate (IAnjutaProvider *obj,
                               IAnjutaIterable *iter,
                               GError **err);

Show completion for the context at position `iter` . The provider should call ianjuta_editor_assist_proposals here to add proposals to the list.

Note that this is called after every character typed and the list of proposals has to be completely renewed.

#### Parameters

obj | Self |
iter | the text iter where the provider should be populated |
err | Error propagation and reporting. |

## Types and Values

### IANJUTA_PROVIDER_ERROR

    #define IANJUTA_PROVIDER_ERROR ianjuta_provider_error_quark()